CVE-2022-24130

Name
CVE-2022-24130
Description
xterm through Patch 370, when Sixel support is enabled, allows attackers to trigger a buffer overflow in set_sixel in graphics_sixel.c via crafted text.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://invisible-island.net/xterm/xterm.log.html
MISC https://www.openwall.com/lists/oss-security/2022/01/30/2
MISC https://www.openwall.com/lists/oss-security/2022/01/30/3
MISC https://twitter.com/nickblack/status/1487731459398025216
MLIST https://lists.debian.org/debian-lts-announce/2022/02/msg00007.html
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/BP5Y4O7WBNLV24D22E6LE7RQFYOUVD2U/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/T4CWYYEBT6AJRJBBQU2KLUOQDHRM7WAV/
Third Party Advisory https://security.gentoo.org/glsa/202208-22
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/BP5Y4O7WBNLV24D22E6LE7RQFYOUVD2U/
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/T4CWYYEBT6AJRJBBQU2KLUOQDHRM7WAV/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:invisible-island:xterm:*:*:*:*:*:*:*:* xterm >= None <= 370

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
xterm 3.15-community 371-r0 Jakub Jirutka <jakub@jirutka.cz> fixed